Subject: Re: [PATCH net-next v3 24/24] testing/selftest: add test tool and scripts for ovpn module

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 May 2024 17:50:13 -0700

On Wed, 8 May 2024 11:51:46 +0200 Antonio Quartulli wrote:
> >> +TEST_GEN_PROGS_EXTENDED = ovpn-cli  
> > 
> > TEST_GEN_FILES - it's not a test at all, AFAICT.  
> 
> This binary is just a helper and it is used by the scripts below.
> 
> I only need it to be built before executing the run.sh script.
> 
> Isn't this the right VARIABLE to use for the purpose?

I don't think so, but the variables are pretty confusing I could be
wrong. My understanding is that TEST_GEN_PROGS_EXTENDED is for tests.
But tests which you don't want to run as unit tests. Like performance
tests, or some slow tests I guess. TEST_GEN_FILES is for building
dependencies and tools which are themselves not tests.